org.apache.lucene.analysis.br

## Class BrazilianAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.util.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.br.BrazilianAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class BrazilianAnalyzer
      extends StopwordAnalyzerBase

  `Analyzer` for Brazilian Portuguese language.

  Supports an external list of stopwords (words that will not be indexed at all) and an external list of exclusions (words that will not be stemmed, but indexed).

  NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_STOPWORD_FILE` File containing default Brazilian Portuguese stopwords.

    - ### Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `matchVersion, stopwords`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrazilianAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words (`getDefaultStopSet()`).
    `BrazilianAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words
    `BrazilianAnalyzer(Version matchVersion, CharArraySet stopwords, CharArraySet stemExclusionSet)` Builds an analyzer with the given stop words and stemming exclusion words

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    `static CharArraySet` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

    - ### Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOPWORD_FILE

          public static final String DEFAULT_STOPWORD_FILE

      File containing default Brazilian Portuguese stopwords.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BrazilianAnalyzer

          public BrazilianAnalyzer(Version matchVersion)

      Builds an analyzer with the default stop words (`getDefaultStopSet()`).

    - #### BrazilianAnalyzer

          public BrazilianAnalyzer(Version matchVersion,
                           CharArraySet stopwords)

      Builds an analyzer with the given stop words
      Parameters:
        `matchVersion` - lucene compatibility version
        `stopwords` - a stopword set

    - #### BrazilianAnalyzer

          public BrazilianAnalyzer(Version matchVersion,
                           CharArraySet stopwords,
                           CharArraySet stemExclusionSet)

      Builds an analyzer with the given stop words and stemming exclusion words
      Parameters:
        `matchVersion` - lucene compatibility version
        `stopwords` - a stopword set

  - ### Method Detail

    - #### getDefaultStopSet

          public static CharArraySet getDefaultStopSet()

      Returns an unmodifiable instance of the default stop-words set.
      Returns:
        an unmodifiable instance of the default stop-words set.

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                        Reader reader)

      Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `StandardFilter`, `StopFilter` , and `BrazilianStemFilter`.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.